package com.repair.controller;


import com.repair.api.RepairRefundRecordControllerAPI;
import com.repair.common.utils.paramUtils;
import com.repair.model.pojo.RepairRefundRecord;
import com.repair.model.result.CommonResult;
import com.repair.model.result.PageUtils;
import com.repair.services.RepairRefundRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
@RestController
public class RepairRefundRecordController implements RepairRefundRecordControllerAPI {

    @Autowired
    private RepairRefundRecordService repairRefundRecordService;

    @Override
    public CommonResult InsertrepairRefundRecord(RepairRefundRecord rc, BindingResult bindingResult) {
        if (bindingResult.hasErrors()) {
            String st = paramUtils.getParamError(bindingResult);
            return CommonResult.fail(st);
        }

        int result = repairRefundRecordService.insertRepairRefundRecord(rc);

        return result > 0 ? CommonResult.ok("添加成功") : CommonResult.fail("添加失败");
    }

    @Override
    public CommonResult updaterepairRefundRecordById(RepairRefundRecord rc, BindingResult bindingResult) {
        if (bindingResult.hasErrors()) {
            String st = paramUtils.getParamError(bindingResult);
            return CommonResult.fail(st);
        }

        int result = repairRefundRecordService.updateRepairRefundRecord(rc);

        return result > 0 ? CommonResult.ok("修改成功") : CommonResult.fail("修改失败");
    }

    @Override
    public CommonResult queryPagerepairRefundRecords(int currentPage, int pageCount, String name) {
        PageUtils<RepairRefundRecord> result = repairRefundRecordService.queryPageRepairRefundRecords(currentPage, pageCount, name);

        return CommonResult.ok(result);
    }

    @Override
    public CommonResult deleterepairRefundRecordById(int id) {
        RepairRefundRecord data = repairRefundRecordService.getRepairById(id);
        if (data == null) {
            return CommonResult.fail("当前数据不存在，删除失败！");
        }

        int result = repairRefundRecordService.deleteRepairRefundRecordById(id);

        return result > 0 ? CommonResult.ok("删除成功") : CommonResult.fail("删除失败");
    }
}

